/* giFTcurs - curses interface to giFT
 * Copyright (C) 2001-2002 Gran Weinholt <weinholt@linux.nu>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,  USA.
 *
 * $Id: upload.h,v 1.24 2002/05/27 23:02:14 chnix Exp $
 */
#ifndef _UPLOAD_H
#define _UPLOAD_H

#include "tree.h"
#include "gift.h"
#include "parse.h"
#include "transfer.h"

extern tree uploads;

/* remove an upload from list (detach from giFT) */
void upload_forget(transfer * t);

/* called by gift.c when it sees a new upload */
void on_new_upload(xml_data);

/* kill all connectivities with daemon */
void upload_detach(transfer * t);

#endif
