/* giFTcurs - curses interface to giFT
 * Copyright (C) 2001-2002 Gran Weinholt <weinholt@linux.nu>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,  USA.
 *
 * $Id: ui_transfer.h,v 1.20 2002/03/17 23:01:07 weinholt Exp $
 */
#ifndef _UI_TRANSFER_H
#define _UI_TRANSFER_H

#include "ui.h"

extern ui_methods transfer_screen_methods;

void transfer_screen_init(void);
void transfer_screen_destroy(void);

/* exported callbacks */
void transfer_screen_update_downloads_if_focus(void);
void transfer_screen_update_uploads_if_focus(void);

#endif
